# $Revision: 1.28 $, $Date: 2006/05/16 17:46:14 $
Summary:	Predictive text entry application
Summary(pl):	Przewidujca aplikacja do wprowadzania tekstu
Name:		dasher
Version:	4.0.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/dasher/4.0/%{name}-%{version}.tar.bz2
# Source0-md5:	47cf27594abb51ea97f3a8fdb276736d
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-ac.patch
URL:		http://www.inference.phy.cam.ac.uk/dasher/
BuildRequires:	GConf2-devel
BuildRequires:	ORBit2-devel
BuildRequires:	at-spi-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bonobo-devel
BuildRequires:	expat-devel
BuildRequires:	gail-devel
BuildRequires:	gnome-speech-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	intltool >= 0.33
BuildRequires:	libbonobo-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	libwnck-devel
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dasher is an information-efficient text-entry interface, driven by
natural continuous pointing gestures. Dasher is a competitive
text-entry system wherever a full-size keyboard cannot be used - for
example, on a palmtop computer; on a wearable computer; when operating
a computer one-handed, by joystick, touchscreen, trackball, or mouse;
when operating a computer with zero hands (i.e., by head-mouse or by
eyetracker). The eyetracking version of Dasher allows an experienced
user to write text as fast as normal handwriting - 25 words per
minute; using a mouse, experienced users can write at 39 words per
minute.

%description -l pl
Dasher to wydajny interfejs do wprowadzania tekstu sterowany przez
naturalne cige gesty urzdzenia wskazujcego. Dasher jest
konkurencyjnym systemem wprowadzania tekstu wszdzie tam, gdzie nie
mona uy penowymiarowej klawiatury - na przykad w palmtopach czy
komputerach przenonych, komputerach sterowanych przez jednorkich,
za pomoc joysticka, ekranu dotykowego, trackballa lub myszy albo bez
uycia rk (poprzez ledzenie ruchw gowy albo oczu). Wersja Dashera
ledzca ruchy oczu pozwala dowiadczonemu uytkownikowi pisa tekst
z podobn szybkoci do normalnego pisma - 25 sw na minut; przy
uyciu myszy dowiadczeni uytkownicy mog pisa nawet 39 sw na
minut.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-gnome \
	--with-speech \
	--with-a11y
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS README Doc/Colourschemes
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}*
%{_omf_dest_dir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dasher.spec,v $
Revision 1.28  2006/05/16 17:46:14  baggins
- updated files

Revision 1.27  2006/05/16 17:36:39  baggins
- apply ac fix

Revision 1.26  2006/05/16 17:33:42  baggins
- regenerate ac/am/lt

Revision 1.25  2006/05/16 16:24:41  baggins
- no need to regenerate ac/am/lt

Revision 1.24  2006/05/16 16:09:21  baggins
- updated to 4.0.2

Revision 1.23  2005/10/07 18:31:44  zboczuch
- rel. 3

Revision 1.22  2005/10/07 15:10:28  zboczuch
- BR: bonobo-devel

Revision 1.21  2005/09/29 06:03:28  zboczuch
- BR: gail-devel
- rel. 2

Revision 1.20  2005/09/06 22:55:24  aflinta
- 3.2.18

Revision 1.19  2005/08/23 06:12:21  aflinta
- 3.2.16

Revision 1.18  2005/04/08 09:45:54  paladine
- new style macros
- STBR

Revision 1.17  2005/04/05 23:44:15  paladine
- run scrollkeeper-update in quiet mode
- rel. 2

Revision 1.16  2005/03/11 14:57:56  aflinta
- up to version 3.2.15

Revision 1.15  2005/02/02 11:12:45  czucz
- updated to 3.2.13
- fixed License

Revision 1.14  2005/01/12 10:05:22  paladine
- updated to 3.2.12
- updated locale names patch
- STBR

Revision 1.13  2004/09/21 02:07:51  ankry
- added -desktop patch, rel. 2

Revision 1.12  2004/08/03 12:20:32  grzegol
- updated to 3.2.11

Revision 1.11  2004/04/21 15:55:52  grzegol
- updated to 3.2.10

Revision 1.10  2004/04/19 22:53:11  grzegol
- updated to 3.2.9

Revision 1.9  2004/03/22 12:34:31  grzegol
- updated to 3.2.8

Revision 1.8  2004/03/15 22:20:17  grzegol
- updated to 3.2.7

Revision 1.7  2004/03/09 22:04:03  grzegol
- updated to 3.2.6

Revision 1.6  2004/03/09 17:55:29  qboosh
- pl

Revision 1.5  2004/03/09 11:59:58  grzegol
- added BR: intltool

Revision 1.4  2004/03/09 11:55:34  aflinta
- up to version 3.2.5

Revision 1.3  2004/02/25 22:44:19  grzegol
- updated to 3.2.4
- added locale-names patch (changes locale no -> nb)
- regenerate lt/al/ac/am

Revision 1.2  2004/02/07 19:17:14  grzegol
- added %%doc
- cosmetics

Revision 1.1  2004/02/05 11:26:18  aflinta
- PLD initial release
